Name:           python-pyramid-oereb
Version:        2.5.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        pyramid_oereb, extension for pyramid web frame work to provide a basic server part for the oereb project

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/openoereb/pyramid_oereb
Source:         %{pypi_source pyramid_oereb}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyramid-oereb' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyramid-oereb
Summary:        %{summary}

%description -n python3-pyramid-oereb %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-pyramid-oereb dev,no-version,recommend,testing


%prep
%autosetup -p1 -n pyramid_oereb-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev,no-version,recommend,testing


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyramid-oereb -f %{pyproject_files}


%changelog
%autochangelog